package cn.estsh.i3plus.ext.mes.api.busi.bu3;

import cn.estsh.i3plus.ext.mes.pojo.model.bu3.SxCategoryCompleteRateModel;
import cn.estsh.i3plus.ext.mes.pojo.model.bu3.SxCompleteRateChartModel;
import io.swagger.annotations.ApiOperation;

public interface ISxCategoryCompleteRateService {

    /**
     * 日完结率/达成率报表
     * @param data 查询条件
     * @return 结果
     */
    @ApiOperation(value = "日完结率/达成率报表", notes = "日完结率/达成率报表")
    SxCategoryCompleteRateModel queryCategoryCompleteRate(SxCategoryCompleteRateModel data);

    /**
     * 完结率/达成率报表
     * @param data
     * @return
     */
    @ApiOperation(value = "完结率/达成率报表", notes = "完结率/达成率报表")
    SxCompleteRateChartModel queryCompleteRateChart(SxCompleteRateChartModel data);
}
