package cn.estsh.i3plus.ext.mes.api.busi.bu3;

import cn.estsh.i3plus.ext.mes.pojo.model.bu3.SxLossTimeMonthlyModel;
import io.swagger.annotations.ApiOperation;

import javax.servlet.http.HttpServletResponse;

public interface ISxLossTimeMonthlyService {

    /**
     * 月度非作业汇总（损失时间）报表
     * @param data 查询条件
     * @return 结果
     */
    @ApiOperation(value = "月度非作业汇总（损失时间）报表", notes = "月度非作业汇总（损失时间）报表")
    SxLossTimeMonthlyModel queryLossTimeMonthly(SxLossTimeMonthlyModel data);

    /**
     * 月度非作业汇总（损失时间）报表上传
     * @param resp HttpServletResponse
     * @param data 查询条件
     */
    @ApiOperation(value = "月度非作业汇总（损失时间）报表上传", notes = "月度非作业汇总（损失时间）报表上传")
    void doDownLoadLossTimeMonthly(HttpServletResponse resp, SxLossTimeMonthlyModel data);
}
