package cn.estsh.i3plus.ext.mes.apiservice.dao;


import cn.estsh.i3plus.ext.mes.pojo.model.ShiftProdCenterModel;
import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Author: wangjie
 * @CreateDate: 2019/11/21 11:28 上午
 * @Description:
 **/
public interface IShiftProdCenterDao {

    /**
     * 查询产线班次固定作业内容信息数量
     * @param shiftProdCenterModel 产线班次固定作业内容信息
     * @return 数量
     */
    @ApiOperation(value = "查询产线班次固定作业内容信息数量", notes = "查询产线班次固定作业内容信息数量")
    int queryShiftProdCenterByPagerCount(ShiftProdCenterModel shiftProdCenterModel);

    /**
     * 查询产线班次固定作业内容信息集合
     * @param shiftProdCenterModel 查询条件
     * @param pager 分页条件
     * @return 产线班次固定作业内容信息集合
     */
    @ApiOperation(value = "查询产线班次固定作业内容信息集合", notes = "查询产线班次固定作业内容信息集合")
    List<ShiftProdCenterModel> queryShiftProdCenterByPager(ShiftProdCenterModel shiftProdCenterModel, Pager pager);
}
