package cn.estsh.i3plus.ext.mes.apiservice.dao;

import cn.estsh.i3plus.ext.mes.pojo.model.CompleteRateChartModel;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface IWorkOrderExtDao {

    /**
     * 查询达成率/完结率一览表数据
     *
     * @param model 查询条件
     * @return 达成率一览表数据
     */
    @ApiOperation(value = "查询达成率/完结率一览表数据", notes = "查询达成率/完结率一览表数据")
    List<CompleteRateChartModel> queryCompleteRateChart(CompleteRateChartModel model);

    /**
     * 查询复用达成率计划数量
     * @param model 查询条件
     * @return
     */
    @ApiOperation(value = "查询复用达成率计划数量", notes = "查询复用达成率计划数量")
    List<CompleteRateChartModel> queryCompleteRateChartReuse(CompleteRateChartModel model);
}
