package cn.estsh.i3plus.ext.mes.icloud.sdk;

import cn.estsh.i3plus.ext.mes.icloud.sdkfallback.WmsErpHouseCheckFallbackFactory;
import cn.estsh.i3plus.ext.mes.pojo.util.MesExtConstWords;
import cn.estsh.i3plus.platform.common.util.CommonConstWords;
import cn.estsh.i3plus.pojo.base.bean.BaseResultBean;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = "i3wms",
        path = CommonConstWords.WHITELIST_URL,
        fallbackFactory = WmsErpHouseCheckFallbackFactory.class
)
public interface IWmsErpHouseCheckCloud {
    @GetMapping(value = "/ext/base/get-wms-zone")
    BaseResultBean getWmsZone(@RequestParam(MesExtConstWords.ZONE_NO) String erpWarehouse,
                              @RequestParam(MesExtConstWords.ORGANIZE_CODE) String organizeCode);
}
