package cn.estsh.i3plus.ext.mes.pojo.model.bu3;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description:
 * @Reference:
 * @Author: wangjie
 * @CreateDate: 2019\11\15 10:12
 * @Modify:
 **/
@Data
@Api("产量统计MODEL")
public class SxOutPutStatisticsModel implements Serializable {

    private static final long serialVersionUID = 6001182532272212960L;

    @ApiParam("产线代码")
    private String workCenterCode;

    @ApiParam("班次代码")
    private String shiftCode;

    @ApiParam("班次名称")
    private String shiftName;

    @ApiParam("作业时间")
    private String workTime;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("开始时间")
    private String startTime;

    @ApiParam("结束时间")
    private String endTime;

    @ApiParam("工单开始时间")
    private String orderStartTime;

    @ApiParam("产量")
    private Double qty;

    @ApiParam("工单计划数量")
    private Double planQty;

    @ApiParam("备注")
    private String remark;

    @ApiParam("工单完工数量")
    private Double completeQty;

    @ApiParam("工单修改时间")
    private String modifyDatetime;

    @ApiParam("工单状态")
    private Integer workOrderStatus;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam(value = "报表产量统计标志")
    public String outPutFlag;

    @ApiParam(value = "报表产量统计标志")
    public String outPutFlagName;
}
