package cn.estsh.i3plus.ext.mes.pojo.model.bu3;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description :趋势分析MODEL
 * @Reference :
 * @Author : xinwang.yi
 * @CreateDate : 2023-06-30
 * @Modify:
 **/
@Data
@Api("趋势分析MODEL")
public class SxTrendAnalysisModel implements Serializable {

    private static final long serialVersionUID = -2141133734995365282L;

    @ApiParam("数据查询维度")
    private Integer dataType;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("产线代码")
    private String workCenterCode;

    @ApiParam("工位代码")
    private String workCellCode;

    @ApiParam("工序代码")
    private String processCode;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("设备编号")
    private String equNo;

    @ApiParam("管理项目")
    private String manageProjects;

    @ApiParam("点检时间")
    private String spotCheckTime;

    @ApiParam("点检时间起始")
    private String spotCheckTimeStart;

    @ApiParam("点检时间截至")
    private String spotCheckTimeEnd;
}
