package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesFourMConfirm;
import cn.estsh.i3plus.ext.mes.pojo.model.FourMConfirmModel;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/2/2 13:41
 **/
public interface IFourMConfirmService {

    /**
     * 新增
     *
     * @param fourMConfirm
     * @return
     */
    MesFourMConfirm insert(MesFourMConfirm fourMConfirm);

    /**
     * 修改
     *
     * @param fourMConfirm
     * @return
     */
    MesFourMConfirm update(MesFourMConfirm fourMConfirm);

    /**
     * 查询
     *
     * @param fourMConfirm
     * @param pager
     * @return
     */
    ListPager<FourMConfirmModel> queryByPager(MesFourMConfirm fourMConfirm, Pager pager);

    /**
     * 根据
     *
     * @param id
     * @param status
     * @return
     */
    int updateIsValidById(long id, Integer status);


}
