package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesNumberOfSafeOperationDays;
import cn.estsh.i3plus.ext.mes.pojo.model.bu.MesNumberOfSafeOperationDaysModel;

import java.text.ParseException;

/**
 * @Author: xiangming.liao
 * @CreateDate: 2021/01/17 17:56 下午
 * @Description:
 **/
public interface IMesNumberOfSafeOperationDaysService {
    
    /**
     * 修改初始安全运行天数
     * @param numberOfSafeOperationDays
     * @return
     */
    MesNumberOfSafeOperationDays updateNumberOfSafeOperationDays(MesNumberOfSafeOperationDays numberOfSafeOperationDays) throws ParseException;

    /**
     * @Description: 查询初始安全运行天数
     * @Param []
     * @return cn.estsh.i3plus.ext.mes.pojo.bean.MesNumberOfSafeOperationDays
     * @Date 2021/6/30 14:44
     **/

    MesNumberOfSafeOperationDays queryNumberOfSafeOperationDays(String organizeCode);
    /**
     * @Description: 看板-查询初始安全运行天数
     * @Param []
     * @return cn.estsh.i3plus.ext.mes.pojo.bean.MesNumberOfSafeOperationDays
     * @Date 2021/6/30 14:44
     **/
    MesNumberOfSafeOperationDays queryNumberOfSafeOperationDaysBoard(String organizeCode);

    /**
     * @Description: 看板-查询初始安全运行天数
     * @Param []
     * @return cn.estsh.i3plus.ext.mes.pojo.bean.MesNumberOfSafeOperationDays
     * @Date 2021/6/30 14:44
     **/
    MesNumberOfSafeOperationDaysModel queryBuNumberOfSafeOperationDaysBoard(String organizeCode);
}
