package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesOrderRule;
import cn.estsh.i3plus.ext.mes.pojo.bean.MesPartAutoLanded;
import cn.estsh.i3plus.ext.mes.pojo.model.ExcelPartAutoLanded;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;

import java.util.List;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/1/27 16:59
 **/
public interface IPartAutoLandedService {

    /**
     * 新增
     * @param partAutoLanded
     * @return
     */
    MesPartAutoLanded insert(MesPartAutoLanded partAutoLanded);
    /**
     * 修改
     * @param partAutoLanded
     * @return
     */
    MesPartAutoLanded  update(MesPartAutoLanded partAutoLanded);

    /**
     * 查询
     * @param partAutoLanded
     * @param pager
     * @return
     */
    ListPager<MesPartAutoLanded> queryByPager(MesPartAutoLanded partAutoLanded, Pager pager);

    /**
     * 根据
     * @param id
     * @param status
     * @return
     */
    int updateIsValidById(long id, Integer status);


    /**
     * 导入数据
     *
     * @param excelPartAutoLandeds excel部分自动降落
     */
    void importData(List<ExcelPartAutoLanded> excelPartAutoLandeds);
}
