package cn.estsh.i3plus.ext.mes.api.base.bu3;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesProcessQManage;
import io.swagger.annotations.ApiOperation;

/**
 * @Description:MES_工序Q管理项目接口
 * @Reference:
 * @Author: jessica.chen
 * @CreateDate: 2019\11\13 13:56
 * @Modify:
 **/
public interface IBuQManageService {

    /**
     * 添加MES_工序Q管理项目
     *
     * @param mesProcessQManage 工序Q管理项目
     * @return 插入后的mesProcessQManage对象
     */
    @ApiOperation(value = "添加MES_工序Q管理项目信息", notes = "传入MES_工序Q管理项目对象")
    MesProcessQManage insertMesProcessQManage(MesProcessQManage mesProcessQManage);

    /**
     * 更新MES_工序Q管理项目
     *
     * @param mesProcessQManage  工序Q管理项目
     * @param userName 操作人
     */
    @ApiOperation(value = "更新MES_工序Q管理项目", notes = "更新MES_工序Q管理项目")
    void updateMesProcessQManage(MesProcessQManage mesProcessQManage, String userName);
}
