package cn.estsh.i3plus.ext.mes.api.busi.bu;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesTeamManagementIntroduce;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import org.springframework.web.multipart.MultipartFile;

public interface IMesTeamManagementIntroduceService {
    /**
     * 团队管理介绍分页查询
     * @param teamManagementIntroduce
     * @param pager
     * @param organizeCode
     * @return
     */
    ListPager getTeamManagementIntroducePage(MesTeamManagementIntroduce teamManagementIntroduce, Pager pager, String organizeCode);

    /**
     * 新增团队管理介绍
     * @param teamManagementIntroduce
     * @param organizeCode
     * @param userName
     */
    void insertTeamManagementIntroduce(MesTeamManagementIntroduce teamManagementIntroduce, MultipartFile file1, MultipartFile file2, String organizeCode, String userName);

    /**
     * 更新团队管理介绍
     * @param teamManagementIntroduce
     * @param organizeCode
     * @param userName
     */
    void updateTeamManagementIntroduce(MesTeamManagementIntroduce teamManagementIntroduce, MultipartFile file1, MultipartFile file2, String organizeCode, String userName);

    void updateTeamManagementIntroduceValid(MesTeamManagementIntroduce teamManagementIntroduce, String organizeCode, String userName);
}
