package cn.estsh.i3plus.ext.mes.api.busi.bu3;

import cn.estsh.i3plus.ext.mes.pojo.model.bu3.SxProdDataToAutoStatisticsModel;
import cn.estsh.i3plus.ext.mes.pojo.util.MesExtConstWords;
import io.swagger.annotations.ApiOperation;

public interface ISxProdDataToMonthlyStatisticsDispatchService {

    /**
     * 生产数据月度统计JOB-执行名称
     * @return 标志
     */
    @ApiOperation(value = "生产数据月度统计JOB-执行名称", notes = "生产数据月度统计JOB-执行名称")
    default String name() { return MesExtConstWords.EMPTY; }

    /**
     * 生产数据月度统计JOB-执行标志
     * @return 标志
     */
    @ApiOperation(value = "生产数据月度统计JOB-执行标志", notes = "生产数据月度统计JOB-执行标志")
    default String flag() { return MesExtConstWords.EMPTY; }

    /**
     * 生产数据月度统计JOB-补充入参
     * @param data 数据
     * @return 数据
     */
    @ApiOperation(value = "生产数据月度统计JOB-补充入参", notes = "生产数据月度统计JOB-补充入参")
    default SxProdDataToAutoStatisticsModel restock(SxProdDataToAutoStatisticsModel data) { return data; }

    /**
     * 生产数据月度统计JOB-查询
     * @param data 数据
     * @return 数据
     */
    @ApiOperation(value = "生产数据月度统计JOB-查询", notes = "生产数据月度统计JOB-查询")
    default SxProdDataToAutoStatisticsModel query(SxProdDataToAutoStatisticsModel data) { return data; }

    /**
     * 生产数据月度统计JOB-执行
     * @param data 数据
     * @return 数据
     */
    @ApiOperation(value = "生产数据月度统计JOB-执行", notes = "生产数据月度统计JOB-执行")
    default SxProdDataToAutoStatisticsModel exec(SxProdDataToAutoStatisticsModel data) { return data; };

    /**
     * 生产数据月度统计JOB-写入数据履历
     * @param data 数据
     * @return 数据
     */
    @ApiOperation(value = "生产数据月度统计JOB-写入数据履历", notes = "生产数据月度统计JOB-写入数据履历")
    default SxProdDataToAutoStatisticsModel doTravel(SxProdDataToAutoStatisticsModel data) { return data; }

}
