package cn.estsh.i3plus.ext.mes.api.busi.bu3;

import cn.estsh.i3plus.ext.mes.pojo.bean.MesProdDataToStatisticsTravel;
import io.swagger.annotations.ApiOperation;

public interface ISxProdDataToStatisticsTravelService {

    /**
     * 查询生产数据统计执行记录表
     * @param organizeCode 工厂代码
     * @param moduleCode 模块代码
     * @param statisticsType 统计方式
     * @param statisticsDate 统计日期
     * @param dataKey 数据KEY
     * @return 生产数据统计执行记录
     */
    @ApiOperation(value = "查询生产数据统计执行记录表", notes = "查询生产数据统计执行记录表")
    MesProdDataToStatisticsTravel getProdDataToStatisticsTravel(String organizeCode, String moduleCode, String statisticsType, String statisticsDate, String dataKey);

    /**
     * 写入履历
     * @param travel 生产数据统计执行记录
     * @return 生产数据统计执行记录
     */
    @ApiOperation(value = "写入履历", notes = "写入履历")
    MesProdDataToStatisticsTravel doTravel(MesProdDataToStatisticsTravel travel);
}
