package cn.estsh.i3plus.ext.mes.pojo.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("MES_4M管理")
public class FourMManageModel implements Serializable {

    private static final long serialVersionUID = 8193220647164339735L;

    @ApiParam("id")
    private Long id;

    @ApiParam("管理类型")
    private Integer manageType;

    @ApiParam("项目管理代码")
    private String manageCode;

    @ApiParam("项目管理内容")
    private String manageContent;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("有效性")
    private Integer isValid;

    @ApiParam("是否已删除")
    private Integer isDeleted;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("修改日期")
    private String modifyDatetime;

    @ApiParam("管理类型")
    private String manageTypeName;

}
