package cn.estsh.i3plus.ext.mes.pojo.model.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;


@Data
@ApiModel("员工性质model")
public class EmployeeNatureModel implements Serializable {
    private static final long serialVersionUID = 5364403174123920444L;

    @ApiParam(value = "序号")
    private Integer seq;

    @ApiParam(value = "员工性质代码")
    private String employeeNatureCode;

    @ApiParam(value = "员工性质名称")
    private String employeeNatureName;

    @ApiParam(value = "颜色(颜色枚举：红底白字、蓝底黑字、灰底黑字、粉底黑字)")
    private String color;

    @ApiParam(value = "员工代码")
    private String employeeCode;

    @ApiParam("员工名称")
    private String employeeName;

    @ApiParam(value = "颜色(颜色枚举：红底白字、蓝底黑字、灰底黑字、粉底黑字)")
    private String colorName;

    @ApiParam(value = "背景颜色(颜色枚举：黄底红字、黄底白字、黄底黑字、灰底黑字)")
    private String bgColor;

    @ApiParam(value = "字体颜色(颜色枚举：黄底红字、黄底白字、黄底黑字、灰底黑字)")
    private String textColor;

}
