package cn.estsh.i3plus.ext.mes.pojo.model.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import java.io.Serializable;

/**
 * 安全天数
 *
 * @author xiangming.liao
 * @date 2021年06月29日 17:52
 */
@Data
@ApiModel("安全日期MODEL")
public class MesNumberOfSafeOperationDaysModel implements Serializable {

    private static final long serialVersionUID = 6700711638310023134L;
    @ApiParam(value = "初始开始日期")
    private String initStartDate;

    @ApiParam(value = "初始结束日期")
    private String initEndDate;

    @ApiParam(value = "初始天数")
    private Integer initDays;

    @ApiParam(value = "安全开始日期")
    private String safeStartDate;
}
