package cn.estsh.i3plus.ext.mes.pojo.model.ep;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-mes-panasonic-dev
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2021-12-13 11:11
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("设备检测MODEL")
public class EpEquipmentCheckModel implements Serializable {
    private static final long serialVersionUID = -9152634343651180053L;

    @ApiParam("id")
    private Long id;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam(value = "工位代码")
    public String workCellCode;

    @ApiParam("工位名称")
    private String workCellName;

    @ApiParam("设备编号")
    private String equNo;

    @ApiParam("设备名称")
    private String equName;

    @ApiParam("项目内容")
    private String projectContent;

    @ApiParam("点检方法")
    private String checkMethod;

    @ApiParam("点检周期")
    private String checkType;

    @ApiParam("点检周期名称")
    private String checkTypeName;

    @ApiParam("结果类型")
    private Integer resultType;

    @ApiParam("结果类型名称")
    private String resultTypeName;

    @ApiParam("标准值")
    private String standardValue;

    @ApiParam("上限值")
    private String upLimit;

    @ApiParam("下限值")
    private String downLimit;

    @ApiParam("创建人")
    private String createUser;

    @ApiParam("创建时间")
    private String createDatetime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("修改时间")
    private String modifyDatetime;
}
