package cn.estsh.i3plus.ext.mes.pojo.model.ep;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @PROJECT_NAME: i3plus-mes-panasonic-dev
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2021-12-21 9:45
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("24小时泄露检测结果MODEL")
public class EpPartDivulgeCheckRecordModel {

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料编码名称")
    private String partName;

    @ApiParam("产品条码")
    private String serialNumber;

    @ApiParam("包装条码")
    private String packageNo;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("操作人")
    private String operator;

    @ApiParam("检测结果")
    private Integer checkResult;

    @ApiParam("检测结果名称")
    private String checkResultName;

    @ApiParam("泄露值")
    private Double divulgeValue = 0.0;

    @ApiParam("下线时间")
    private String outWorkCenterTime;

    @ApiParam("下线时间起始")
    private String outWorkCenterTimeStart;

    @ApiParam("下线时间截止")
    private String outWorkCenterTimeEnd;

    @ApiParam("检测时间")
    private String checkTime;

    @ApiParam("检测时间起始")
    private String checkTimeStart;

    @ApiParam("检测时间截止")
    private String checkTimeEnd;

    @ApiParam("创建人")
    private String createUser;

    @ApiParam("创建时间")
    private String createDatetime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("修改时间")
    private String modifyDatetime;

    @ApiParam("组织代码")
    private String organizeCode;
}
